# Visualization
TKV3d
StdPrs

# StdPrs_HLRPolyShape Class Reference

Instantiates Prs3d_PolyHLRShape to define a
display of a shape where hidden and visible lines are
identified with respect to a given projection.
StdPrs_HLRPolyShape works with a polyhedral
simplification of the shape whereas
StdPrs_HLRShape takes the shape itself into
account. When you use StdPrs_HLRShape, you
obtain an exact result, whereas, when you use
StdPrs_HLRPolyShape, you reduce computation
time but obtain polygonal segments.
.

`#include <StdPrs_HLRPolyShape.hxx>`

Inheritance diagram for StdPrs_HLRPolyShape:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const TopoDS_Shape &aShape, const Handle(Prs3d_Drawer)&aDrawer, const Handle(Prs3d_Projector)&aProjector)
| Defines the hidden line removal display of the topology aShape in the projection defined by aProjector. The shape and the projection are added to the display aPresentation, and the attributes of the elements present in the aPresentation are defined by the attribute manager aDrawer. .

## Member Function Documentation

static Standard_EXPORT void StdPrs_HLRPolyShape::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const TopoDS_Shape & | aShape,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const Handle(Prs3d_Projector)& | aProjector
| ) | `[static]`

void StdPrs_HLRPolyShape::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_HLRPolyShape::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_HLRPolyShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Prs3d_Root.

The documentation for this class was generated from the following file:

- StdPrs_HLRPolyShape.hxx